| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ParameterGuid_t Class Reference
eProsima Fast DDS API Reference » RTPS » Common Module. » Qos Module

`#include <ParameterTypes.hpp>`

Inheritance diagram for ParameterGuid_t:
[legend]

## Public Member Functions

| ParameterGuid_t ()
| Constructor without parameters.
| ParameterGuid_t (ParameterId_t pid, uint16_t in_length)
| Constructor using a parameter PID and the parameter length.
| ParameterGuid_t (ParameterId_t pid, uint16_t in_length, const fastdds::rtps::GUID_t &guidin)
| Constructor using a parameter PID, the parameter length and a GUID.
| ParameterGuid_t (ParameterId_t pid, uint16_t in_length, const fastdds::rtps::InstanceHandle_t &iH)
| Constructor using a parameter PID, the parameter length and a Instance Handle.
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const

## Public Attributes

fastdds::rtps::GUID_t | guid
| GUID By default, unknown GUID.
Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.

## Constructor & Destructor Documentation

## ◆ ParameterGuid_t() [1/4]

ParameterGuid_t | ( |  | ) |

inline

Constructor without parameters.

## ◆ ParameterGuid_t() [2/4]

ParameterGuid_t | ( | ParameterId_t | pid,
|  | uint16_t | in_length )

inline

Constructor using a parameter PID and the parameter length.

Parameters

  pid | Pid of the parameter
  in_length | Its associated length

## ◆ ParameterGuid_t() [3/4]

ParameterGuid_t | ( | ParameterId_t | pid,
|  | uint16_t | in_length,
|  | const fastdds::rtps::GUID_t & | guidin )

inline

Constructor using a parameter PID, the parameter length and a GUID.

Parameters

  pid | Pid of the parameter
  in_length | Its associated length
  guidin | GUID to be set

## ◆ ParameterGuid_t() [4/4]

ParameterGuid_t | ( | ParameterId_t | pid,
|  | uint16_t | in_length,
|  | const fastdds::rtps::InstanceHandle_t & | iH )

inline

Constructor using a parameter PID, the parameter length and a Instance Handle.

Parameters

  pid | Pid of the parameter
  in_length | Its associated length
  iH | Instance Handle to be set as GUID

## Member Data Documentation

## ◆ guid

fastdds::rtps::GUID_t guid

GUID
By default, unknown GUID.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/ParameterTypes.hpp